curl "https://services-staging.getplu.com/api/v1/partner/withdrawal?page=1&size=20&status=pending" \
-H "Authorization: Bearer sk_staging_your_api_key"
{
"status": "success",
"message": "Withdrawals retrieved",
"data": {
"withdrawals": [
{
"id": "65f0d9f4c8a3b21e9d4a6c01",
"partnerId": "service-partner-PdhFKbfvYr",
"amount": 100,
"fee": 0.5,
"netAmount": 99.5,
"toAddress": "0xa40aCe28a2d66f81D396c7F0ACd46Ae2e4407089",
"chain": "base",
"token": "usdc",
"status": "completed",
"txHash": "0x44d5bb06c5029ddfa64dbbb5bc10f91461acb7b2a9ebf1753f41cb32529d646b",
"createdAt": "2026-04-20T11:42:18.221Z",
"approvedAt": "2026-04-20T11:55:02.014Z",
"completedAt": "2026-04-20T11:55:09.477Z"
}
],
"total": 1,
"page": 1,
"size": 20
}
}
Withdrawals
List Withdrawals
List your withdrawal requests with optional status filter and pagination
GET
/
v1
/
partner
/
withdrawal
curl "https://services-staging.getplu.com/api/v1/partner/withdrawal?page=1&size=20&status=pending" \
-H "Authorization: Bearer sk_staging_your_api_key"
{
"status": "success",
"message": "Withdrawals retrieved",
"data": {
"withdrawals": [
{
"id": "65f0d9f4c8a3b21e9d4a6c01",
"partnerId": "service-partner-PdhFKbfvYr",
"amount": 100,
"fee": 0.5,
"netAmount": 99.5,
"toAddress": "0xa40aCe28a2d66f81D396c7F0ACd46Ae2e4407089",
"chain": "base",
"token": "usdc",
"status": "completed",
"txHash": "0x44d5bb06c5029ddfa64dbbb5bc10f91461acb7b2a9ebf1753f41cb32529d646b",
"createdAt": "2026-04-20T11:42:18.221Z",
"approvedAt": "2026-04-20T11:55:02.014Z",
"completedAt": "2026-04-20T11:55:09.477Z"
}
],
"total": 1,
"page": 1,
"size": 20
}
}
Returns a paginated list of your withdrawal requests, ordered by creation date descending.
string
required
Bearer token. Example:
Bearer sk_staging_your_api_keyinteger
default:"1"
Page number (1-indexed).
integer
default:"20"
Items per page. Max
100.string
Optional. One of
pending, approved, completed, failed, cancelled, rejected.curl "https://services-staging.getplu.com/api/v1/partner/withdrawal?page=1&size=20&status=pending" \
-H "Authorization: Bearer sk_staging_your_api_key"
{
"status": "success",
"message": "Withdrawals retrieved",
"data": {
"withdrawals": [
{
"id": "65f0d9f4c8a3b21e9d4a6c01",
"partnerId": "service-partner-PdhFKbfvYr",
"amount": 100,
"fee": 0.5,
"netAmount": 99.5,
"toAddress": "0xa40aCe28a2d66f81D396c7F0ACd46Ae2e4407089",
"chain": "base",
"token": "usdc",
"status": "completed",
"txHash": "0x44d5bb06c5029ddfa64dbbb5bc10f91461acb7b2a9ebf1753f41cb32529d646b",
"createdAt": "2026-04-20T11:42:18.221Z",
"approvedAt": "2026-04-20T11:55:02.014Z",
"completedAt": "2026-04-20T11:55:09.477Z"
}
],
"total": 1,
"page": 1,
"size": 20
}
}
⌘I